sun.applet

## Class PluginCallRequest

- java.lang.Object
- - sun.applet.PluginCallRequest

Direct Known Subclasses:
  GetMemberPluginCallRequest, GetWindowPluginCallRequest, PluginCookieInfoRequest, PluginProxyInfoRequest, VoidPluginCallRequest

    public abstract class PluginCallRequest
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PluginCallRequest(java.lang.String message, java.lang.Long reference)`

### Method Summary

Methods
`java.lang.String` `getMessage()`
`PluginCallRequest` `getNext()`
`abstract java.lang.Object` `getObject()`
`boolean` `isDone()`
`abstract void` `parseReturn(java.lang.String message)`
`boolean` `serviceable(java.lang.String message)` Returns whether the given message is serviceable by this object
`boolean` `setDone(boolean done)`
`void` `setNext(PluginCallRequest next)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginCallRequest

    public PluginCallRequest(java.lang.String message,
                     java.lang.Long reference)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

#### isDone

    public boolean isDone()

#### setDone

    public boolean setDone(boolean done)

#### setNext

    public void setNext(PluginCallRequest next)

#### getNext

    public PluginCallRequest getNext()

#### serviceable

    public boolean serviceable(java.lang.String message)

Returns whether the given message is serviceable by this object

Parameters:
  `message` - The message to service
Returns:
  boolean indicating if message is serviceable

#### parseReturn

    public abstract void parseReturn(java.lang.String message)

#### getObject

    public abstract java.lang.Object getObject()